import request from '@/utils/request'

// list
export function getSurveyList(query) {
	return request({
		url: '/shian/survey/list',
		method: 'get',
		params: query
	})
}

// export
export function exportSurvey(query) {
	return request({
		url: '/shian/survey/export',
		method: 'get',
		params: query
	})
}

// DELETE
export function deleteSurvey(ids) {
	return request({
		url: `/shian/survey/${ids}`,
		method: 'DELETE'
	})
}

// info
export function getinfo(id) {
	return request({
		url: `/shian/survey/${id}`,
		method: 'get'
	})
}

// add
export function addSurvey(data) {
	return request({
		url: '/shian/survey',
		method: 'post',
		data
	})
}

// update
export function updataSurvey(data) {
	return request({
		url: '/shian/survey',
		method: 'put',
		data
	})
}

// 新增评分题
export function addDirectory(data) {
	return request({
		url: '/shian/directory/add',
		method: 'post',
		data
	})
}
//获取问卷详情
export function getDirectoryInfo(id) {
	return request({
		url: `/shian/directory/findBySurveyId/${id}`,
		method: 'get'
	})
}
// 修改问卷
export function updataDirectory(data) {
	return request({
		url: '/shian/directory/edit',
		method: 'put',
		data
	})
}

//新增用户评分

export function addAnswer(data) {
	return request({
		url: '/shian/answer/add',
		method: 'post',
		data
	})
}


// 调查单list
export function getSurverListData(query) {
	return request({
		url: '/dwsurvey/app/survey/list.do',
		method: 'get',
		params: query
	})
}